org.gnome.pango

## Class Rectangle

- Object
- - org.freedesktop.bindings.Pointer
  - - org.gnome.glib.Boxed
    - - org.gnome.pango.Rectangle

-     public final class Rectangle
      extends Boxed

  Information about the size of an area rendered by Pango. These are returned by the various extents methods in Layout and related classes. See LayoutLine's `getExtentsLogical()` for an example.

  The origin of a Rectangle is the base line of the rendered glyphs, with positive directions being to the right and down. This means that in left-to-right text, a Rectangle representing a glyph that lies above the base line (which most do) will have a negative `y` value.

  Since:
    4.0.10
  Author:
    Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAscent()` Get the ascent, which is the distance that this Rectangle [describing one or more glyphs] rises above the font's base line.
    `double` | `getDescent()` Get the descent, which is the distance that this Rectangle [describing one or more glyphs] descends below the font's base line.
    `double` | `getHeight()` The height of the box described by this Rectangle.
    `double` | `getWidth()` The width of the box described by this Rectangle.
    `double` | `getX()` The horizontal co-ordinate of the top left corner of the box described by this Rectangle.
    `double` | `getY()` The vertical co-ordinate of the box described by this Rectangle.
    `String` | `toString()`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getAscent

          public double getAscent()

      Get the ascent, which is the distance that this Rectangle [describing one or more glyphs] rises above the font's base line.
      Since:
        4.0.10

    - #### getDescent

          public double getDescent()

      Get the descent, which is the distance that this Rectangle [describing one or more glyphs] descends below the font's base line.
      Since:
        4.0.10

    - #### getHeight

          public double getHeight()

      The height of the box described by this Rectangle.
      Since:
        4.0.10

    - #### getWidth

          public double getWidth()

      The width of the box described by this Rectangle.
      Since:
        4.0.10

    - #### getX

          public double getX()

      The horizontal co-ordinate of the top left corner of the box described by this Rectangle.
      Since:
        4.0.10

    - #### getY

          public double getY()

      The vertical co-ordinate of the box described by this Rectangle.
      Since:
        4.0.10

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `org.freedesktop.bindings.Pointer`